/**
 * Class contains the keycodes for keys on your keyboard.
 *
 * Useful for auto completion:
 *
 * ```
 * switch (event.key)
 * {
 *      case KeyCode.UP:
 *      {
 *      	// Up key pressed
 *       	break;
 *      }
 *      case KeyCode.DOWN:
 *      {
 *      	// Down key pressed
 *       	break;
 *      }
 *      case KeyCode.LEFT:
 *      {
 *      	// Left key pressed
 *       	break;
 *      }
 *      case KeyCode.RIGHT:
 *      {
 *      	// Right key pressed
 *       	break;
 *      }
 *      default:
 *      {
 *      	// ignore
 *      	break;
 *      }
 * }
 * ```
 */
export default class KeyCodes {
    static TAB: number;
    static CAPS_LOCK: number;
    static SHIFT: number;
    static CONTROL: number;
    static SPACE: number;
    static DOWN: number;
    static UP: number;
    static LEFT: number;
    static RIGHT: number;
    static ESCAPE: number;
    static F1: number;
    static F2: number;
    static F3: number;
    static F4: number;
    static F5: number;
    static F6: number;
    static F7: number;
    static F8: number;
    static F9: number;
    static F10: number;
    static F11: number;
    static F12: number;
    static INSERT: number;
    static HOME: number;
    static PAGE_UP: number;
    static PAGE_DOWN: number;
    static DELETE: number;
    static END: number;
    static ENTER: number;
    static BACKSPACE: number;
    static NUMPAD_0: number;
    static NUMPAD_1: number;
    static NUMPAD_2: number;
    static NUMPAD_3: number;
    static NUMPAD_4: number;
    static NUMPAD_5: number;
    static NUMPAD_6: number;
    static NUMPAD_7: number;
    static NUMPAD_8: number;
    static NUMPAD_9: number;
    static NUMPAD_DIVIDE: number;
    static NUMPAD_ADD: number;
    static NUMPAD_ENTER: number;
    static NUMPAD_DECIMAL: number;
    static NUMPAD_SUBTRACT: number;
    static NUMPAD_MULTIPLY: number;
    static SEMICOLON: number;
    static EQUAL: number;
    static COMMA: number;
    static MINUS: number;
    static PERIOD: number;
    static SLASH: number;
    static BACKQUOTE: number;
    static LEFTBRACKET: number;
    static BACKSLASH: number;
    static RIGHTBRACKET: number;
    static QUOTE: number;
    static ALT: number;
    static COMMAND: number;
    static NUMPAD: number;
    static A: number;
    static B: number;
    static C: number;
    static D: number;
    static E: number;
    static F: number;
    static G: number;
    static H: number;
    static I: number;
    static J: number;
    static K: number;
    static L: number;
    static M: number;
    static N: number;
    static O: number;
    static P: number;
    static Q: number;
    static R: number;
    static S: number;
    static T: number;
    static U: number;
    static V: number;
    static W: number;
    static X: number;
    static Y: number;
    static Z: number;
    static NUM_0: number;
    static NUM_1: number;
    static NUM_2: number;
    static NUM_3: number;
    static NUM_4: number;
    static NUM_5: number;
    static NUM_6: number;
    static NUM_7: number;
    static NUM_8: number;
    static NUM_9: number;
    static SUBSTRACT: number;
    static ADD: number;
}
