"use strict";
/**
 * Class contains the keycodes for keys on your keyboard.
 *
 * Useful for auto completion:
 *
 * ```
 * switch (event.key)
 * {
 *      case KeyCode.UP:
 *      {
 *      	// Up key pressed
 *       	break;
 *      }
 *      case KeyCode.DOWN:
 *      {
 *      	// Down key pressed
 *       	break;
 *      }
 *      case KeyCode.LEFT:
 *      {
 *      	// Left key pressed
 *       	break;
 *      }
 *      case KeyCode.RIGHT:
 *      {
 *      	// Right key pressed
 *       	break;
 *      }
 *      default:
 *      {
 *      	// ignore
 *      	break;
 *      }
 * }
 * ```
 */
var KeyCodes = (function () {
    function KeyCodes() {
    }
    KeyCodes.TAB = 9;
    KeyCodes.CAPS_LOCK = 20;
    KeyCodes.SHIFT = 16;
    KeyCodes.CONTROL = 17;
    KeyCodes.SPACE = 32;
    KeyCodes.DOWN = 40;
    KeyCodes.UP = 38;
    KeyCodes.LEFT = 37;
    KeyCodes.RIGHT = 39;
    KeyCodes.ESCAPE = 27;
    KeyCodes.F1 = 112;
    KeyCodes.F2 = 113;
    KeyCodes.F3 = 114;
    KeyCodes.F4 = 115;
    KeyCodes.F5 = 116;
    KeyCodes.F6 = 117;
    KeyCodes.F7 = 118;
    KeyCodes.F8 = 119;
    KeyCodes.F9 = 120;
    KeyCodes.F10 = 121;
    KeyCodes.F11 = 122;
    KeyCodes.F12 = 123;
    KeyCodes.INSERT = 45;
    KeyCodes.HOME = 36;
    KeyCodes.PAGE_UP = 33;
    KeyCodes.PAGE_DOWN = 34;
    KeyCodes.DELETE = 46;
    KeyCodes.END = 35;
    KeyCodes.ENTER = 13;
    KeyCodes.BACKSPACE = 8;
    KeyCodes.NUMPAD_0 = 96;
    KeyCodes.NUMPAD_1 = 97;
    KeyCodes.NUMPAD_2 = 98;
    KeyCodes.NUMPAD_3 = 99;
    KeyCodes.NUMPAD_4 = 100;
    KeyCodes.NUMPAD_5 = 101;
    KeyCodes.NUMPAD_6 = 102;
    KeyCodes.NUMPAD_7 = 103;
    KeyCodes.NUMPAD_8 = 104;
    KeyCodes.NUMPAD_9 = 105;
    KeyCodes.NUMPAD_DIVIDE = 111;
    KeyCodes.NUMPAD_ADD = 107;
    KeyCodes.NUMPAD_ENTER = 13;
    KeyCodes.NUMPAD_DECIMAL = 110;
    KeyCodes.NUMPAD_SUBTRACT = 109;
    KeyCodes.NUMPAD_MULTIPLY = 106;
    KeyCodes.SEMICOLON = 186;
    KeyCodes.EQUAL = 187;
    KeyCodes.COMMA = 188;
    KeyCodes.MINUS = 189;
    KeyCodes.PERIOD = 190;
    KeyCodes.SLASH = 191;
    KeyCodes.BACKQUOTE = 192;
    KeyCodes.LEFTBRACKET = 219;
    KeyCodes.BACKSLASH = 220;
    KeyCodes.RIGHTBRACKET = 221;
    KeyCodes.QUOTE = 222;
    KeyCodes.ALT = 18;
    KeyCodes.COMMAND = 15;
    KeyCodes.NUMPAD = 21;
    KeyCodes.A = 65;
    KeyCodes.B = 66;
    KeyCodes.C = 67;
    KeyCodes.D = 68;
    KeyCodes.E = 69;
    KeyCodes.F = 70;
    KeyCodes.G = 71;
    KeyCodes.H = 72;
    KeyCodes.I = 73;
    KeyCodes.J = 74;
    KeyCodes.K = 75;
    KeyCodes.L = 76;
    KeyCodes.M = 77;
    KeyCodes.N = 78;
    KeyCodes.O = 79;
    KeyCodes.P = 80;
    KeyCodes.Q = 81;
    KeyCodes.R = 82;
    KeyCodes.S = 83;
    KeyCodes.T = 84;
    KeyCodes.U = 85;
    KeyCodes.V = 86;
    KeyCodes.W = 87;
    KeyCodes.X = 88;
    KeyCodes.Y = 89;
    KeyCodes.Z = 90;
    KeyCodes.NUM_0 = 48;
    KeyCodes.NUM_1 = 49;
    KeyCodes.NUM_2 = 50;
    KeyCodes.NUM_3 = 51;
    KeyCodes.NUM_4 = 52;
    KeyCodes.NUM_5 = 53;
    KeyCodes.NUM_6 = 54;
    KeyCodes.NUM_7 = 55;
    KeyCodes.NUM_8 = 56;
    KeyCodes.NUM_9 = 57;
    KeyCodes.SUBSTRACT = 189;
    KeyCodes.ADD = 187;
    return KeyCodes;
}());
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = KeyCodes;
